Bug 124680 - Images are captured wrongly when using video.ko and ov511.ko (usb.ko, uhci_hcd.ko)
Summary: Images are captured wrongly when using video.ko and ov511.ko (usb.ko, uhci_hc...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-28 14:00 UTC by Casimiro de Almeida Barreto
Modified: 2015-01-04 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:42:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Casimiro de Almeida Barreto 2004-05-28 14:00:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pt-BR; rv:1.6) Gecko/20040510

Description of problem:
Images captured from webcam (creative webcam III) are "repplied" with
3 times with 1/3 of correct width, ie., when rendered we see 3 times
the correct image, each compresset to 1/3 of correct width.

I guess that the problem is that those cameras work with 12bpp YUV
instead of 16, 24 or 32 bits and videodev is "adjusted" to 16/24/32bpp.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. get a webcam viewer (Camorama, Powa, gqcam, etc...)
2. compile it, install it
3. execute and "voil�"...
    

Actual Results:  The image holds three copies of the intended image,
compressed in width.

Expected Results:  The correct image

Additional info:

Tested with Creative webcam (OV511 driver)

Comment 1 Dave Jones 2004-05-28 14:27:37 UTC
can you get the ov511 related msgs from your dmesg ?
I just tested with a WebCam3 using an OV7620 sensor, and it works fine
when I view it with xawtv, or use camE

I'd also suggest you try viewing with xawtv. If that looks ok, it's
a bug in the apps you're using.


Comment 2 Dave Jones 2005-04-16 04:42:24 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.